> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出收件箱

> 列出已认证账户可用的 AgentMail 收件箱。



## OpenAPI

````yaml openapi/zh/agentmail.json GET /agentmail/inboxes
openapi: 3.1.0
info:
  title: AgentMail API
  version: 1.0.0
  description: 通过 AIsa 统一网关公开的 AgentMail 电子邮件 API 端点。改编自上游 docs.agentmail.to OpenAPI 规范。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - Bearer: []
paths:
  /agentmail/inboxes:
    get:
      tags:
        - subpackage_inboxes
      summary: 列出收件箱
      description: |-
        **CLI：**
        ```bash
        agentmail inboxes list
        ```
      operationId: get_agentmail_inboxes
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/type__Limit'
        - name: page_token
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/type__PageToken'
        - name: ascending
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/type__Ascending'
        - name: Authorization
          in: header
          description: Bearer 身份验证
          required: true
          schema:
            type: string
      responses:
        '200':
          description: 状态码为 200 的响应
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type_inboxes_ListInboxesResponse'
components:
  schemas:
    type__Limit:
      type: integer
      description: 返回项目数量的上限。
      title: Limit
    type__PageToken:
      type: string
      description: 用于分页的页面 token。
      title: PageToken
    type__Ascending:
      type: boolean
      description: 按时间升序排序。
      title: Ascending
    type_inboxes_ListInboxesResponse:
      type: object
      properties:
        count:
          $ref: '#/components/schemas/type__Count'
        limit:
          $ref: '#/components/schemas/type__Limit'
        next_page_token:
          $ref: '#/components/schemas/type__PageToken'
        inboxes:
          type: array
          items:
            $ref: '#/components/schemas/type_inboxes_Inbox'
          description: 按 `created_at` 降序排列。
      required:
        - count
        - inboxes
      title: ListInboxesResponse
    type__Count:
      type: integer
      description: 返回的项目数量。
      title: Count
    type_inboxes_Inbox:
      type: object
      properties:
        pod_id:
          $ref: '#/components/schemas/type_pods_PodId'
        inbox_id:
          $ref: '#/components/schemas/type_inboxes_InboxId'
        email:
          $ref: '#/components/schemas/type_inboxes_Email'
        display_name:
          $ref: '#/components/schemas/type_inboxes_DisplayName'
        client_id:
          $ref: '#/components/schemas/type_inboxes_ClientId'
        metadata:
          $ref: '#/components/schemas/type_inboxes_Metadata'
          description: 附加到收件箱的自定义元数据。
        updated_at:
          type: string
          format: date-time
          description: 收件箱上次更新的时间。
        created_at:
          type: string
          format: date-time
          description: 收件箱的创建时间。
      required:
        - pod_id
        - inbox_id
        - email
        - updated_at
        - created_at
      title: Inbox
    type_pods_PodId:
      type: string
      description: Pod ID。
      title: PodId
    type_inboxes_InboxId:
      type: string
      description: 收件箱的 ID。
      title: InboxId
    type_inboxes_Email:
      type: string
      description: 收件箱的电子邮件地址。
      title: Email
    type_inboxes_DisplayName:
      type: string
      description: 显示名称：`Display Name <username@domain.com>`。
      title: DisplayName
    type_inboxes_ClientId:
      type: string
      description: 收件箱的客户端 ID。
      title: ClientId
    type_inboxes_Metadata:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/type_inboxes_MetadataValue'
      description: |-
        附加到收件箱的自定义键值对。最多 256 个键。键和
        字符串值均限制为 256 个字符。更新 metadata 时，
        发送值为 null 的键即可删除该键。
      title: Metadata
    type_inboxes_MetadataValue:
      oneOf:
        - type: string
        - type: number
          format: double
        - type: boolean
      description: 元数据值。可以是字符串、数字或布尔值。
      title: MetadataValue
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````